CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

CCfits::FITSUtil::MatchName< T > Class Template Reference

predicate for classes that have a name attribute; match input string with instance name. More...

`#include <FITSUtil.h>`

List of all members.

## Detailed Description

### template<class T>
class CCfits::FITSUtil::MatchName< T >

predicate for classes that have a name attribute; match input string with instance name.

Usage: MatchName<NamedClass> Ex;

list<NamedClass> ListObject;

... ...

find_if(ListObject.begin(),ListObject().end(),bind2nd(Ex,"needle"));

Since most of the classes within CCfits are not implemented with lists, these functions are now of little direct use.

The documentation for this class was generated from the following file:

- FITSUtil.h